## org.apache.ivy.util.cli
Class CommandLineParser

    java.lang.Object
      org.apache.ivy.util.cli.CommandLineParser

    public class CommandLineParser

extends java.lang.Object

Constructor Summary
`CommandLineParser()`

Method Summary
`CommandLineParser` `addCategory(java.lang.String category)`
`CommandLineParser` `addOption(Option option)`
`CommandLine` `parse(java.lang.String[] args)`
`void` `printHelp(java.io.PrintWriter pw, int width, java.lang.String command, boolean showDeprecated)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandLineParser

    public CommandLineParser()

Method Detail

### addCategory

    public CommandLineParser addCategory(java.lang.String category)

### addOption

    public CommandLineParser addOption(Option option)

### parse

    public CommandLine parse(java.lang.String[] args)
                      throws ParseException

  Throws:
    `ParseException`

### printHelp

    public void printHelp(java.io.PrintWriter pw,
                          int width,
                          java.lang.String command,
                          boolean showDeprecated)